<?php
namespace ProVM\Money\Common\Controller;

use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Message\ResponseInterface as Response;
use Slim\Views\Blade as View;

class Currencies {
  public function __invoke(Request $request, Response $response, View $view): Response {
    return $view->render($response, 'currencies.list');
  }
  public function show(Request $request, Response $response, View $view, $currency_id): Response {
    return $view->render($response, 'currencies.show', compact('currency_id'));
  }
}
